package router

import (
	"github.com/gin-gonic/gin"
	"wireguard-ui/http/api"
	"wireguard-ui/http/middleware"
)

// DashboardApi
// @description: 控制台相关接口
// @param r
func DashboardApi(r *gin.RouterGroup) {
	dashboard := r.Group("dashboard", middleware.RequestLog(), middleware.Authorization())
	{
		dashboard.GET("/request/list", api.Dashboard().List)          // 请求日志
		dashboard.GET("/daily-poetry", api.Dashboard().DailyPoetry)   // 每日诗词
		dashboard.GET("/connections", api.Dashboard().ConnectionList) // 客户端列表列表
	}
}
